# Pygame Render

Python package for rendering 2D graphics with shaders for Pygame.

## System requirements

- `Python` version >= 3.10
- `OpenGL` version >= 3.3

## Python package dependencies

- `numpy` >=1.22.0
- `pygame` >=2.1.0
- `moderngl` >= 5.8.2
- `PyOpenGL` >= 3.1.6

## Installation

Firstly, ensure that your system meets the [System requirements](#system-requirements).

Then, run the following command:

```sh
python3 -m pip install pygame-render
```

To verify correct installation, open a Python terminal and import the module:

```py
import pygame_render
```

If there are no errors, the installation was successful!

## Getting started

To learn the basics of `pygame-render`, check out the [Getting started](https://github.com/MarkelZ/pygame_render/wiki/Getting-Started) page on the wiki.

You can also take a look at the examples in the [`examples/`](https://github.com/MarkelZ/pygame_render/tree/main/examples) directory.

## Contributing

We greatly appreciate and encourage contributions from the community! 

Please take a look at the [Contributing](https://github.com/MarkelZ/pygame_render/wiki/Contributing) page on the wiki for details on how to contribute to the project.

## License

This code is licensed under the terms of the MIT license.
